package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysUserResource;

public interface TabSysUserResourceMapper {
    /**
     * 根据主键删除
     *
     * @param userResourceId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer userResourceId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysUserResource record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysUserResource record);

    /**
     * 根据主键查询
     *
     * @param userResourceId 主键
     * @return 实体对象
     */
    TabSysUserResource selectByPrimaryKey(Integer userResourceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysUserResource record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysUserResource record);
}