package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabMenuMapper;
import com.gic.auth.entity.TabMenu;
import com.gic.auth.service.MenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service("menuService")
public class MenuServiceImpl implements MenuService {
    @Autowired
    private TabMenuMapper tabMenuMapper;
    @Override
    public List<TabMenu> listMenu() {
        return this.tabMenuMapper.listMenu();
    }

    @Override
    public TabMenu getMenuById(Integer menuId) {
        return this.tabMenuMapper.selectByPrimaryKey(menuId);
    }
}
